Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.store
Class DeploymentUnitDir

    java.lang.Object
      org.apache.ode.store.DeploymentUnitDir

    public class DeploymentUnitDir

extends java.lang.Object

Container providing various functions on the deployment directory.

Nested Class Summary
`class` | `DeploymentUnitDir.CBPInfo`

Constructor Summary
`DeploymentUnitDir(java.io.File dir)`

Method Summary
`java.util.List<java.io.File>` | `allFiles()`
`void` | `compile()` Checking for each BPEL file if we have a corresponding compiled process.
`boolean` | `equals(java.lang.Object obj)`
`DeploymentUnitDir.CBPInfo` | `getCBPInfo(javax.xml.namespace.QName typeName)`
`javax.wsdl.Definition` | `getDefinitionForPortType(javax.xml.namespace.QName name)`
`javax.wsdl.Definition` | `getDefinitionForService(javax.xml.namespace.QName name)`
`java.util.Collection<javax.wsdl.Definition>` | `getDefinitions()`
`java.io.File` | `getDeployDir()`
`DeployDocument` | `getDeploymentDescriptor()`
`DocumentRegistry` | `getDocRegistry()`
`java.util.List<java.io.File>` | `getEndpointConfigFiles()` The list of endpoint configuration files contained in the deployment directory and its subdirectories.
`java.lang.String` | `getName()`
`TDeployment.Process` | `getProcessDeployInfo(javax.xml.namespace.QName type)`
`java.util.Set<javax.xml.namespace.QName>` | `getProcessNames()`
`long` | `getVersion()`
`int` | `hashCode()`
`void` | `scan()`
`void` | `setExtensionValidators(java.util.Map<javax.xml.namespace.QName,ExtensionValidator> extensionValidators)`
`void` | `setVersion(long version)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeploymentUnitDir

    public DeploymentUnitDir(java.io.File dir)

Method Detail

### getName

    public java.lang.String getName()

### getCBPInfo

    public DeploymentUnitDir.CBPInfo getCBPInfo(javax.xml.namespace.QName typeName)

### compile

    public void compile()

  Checking for each BPEL file if we have a corresponding compiled process. If we don't, starts compilation.

### scan

    public void scan()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getDeployDir

    public java.io.File getDeployDir()

### getEndpointConfigFiles

    public java.util.List<java.io.File> getEndpointConfigFiles()

  The list of endpoint configuration files contained in the deployment directory and its subdirectories. Files are ordered lexicographically but for each directory, files come before its sudirectories.

  The list is built on each call to handle changes.

  See Also:
    `FileUtils.directoryEntriesInPath(java.io.File)`

### getDeploymentDescriptor

    public DeployDocument getDeploymentDescriptor()

### getDocRegistry

    public DocumentRegistry getDocRegistry()

### getDefinitionForService

    public javax.wsdl.Definition getDefinitionForService(javax.xml.namespace.QName name)

### getDefinitionForPortType

    public javax.wsdl.Definition getDefinitionForPortType(javax.xml.namespace.QName name)

### getDefinitions

    public java.util.Collection<javax.wsdl.Definition> getDefinitions()

### getProcessNames

    public java.util.Set<javax.xml.namespace.QName> getProcessNames()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getProcessDeployInfo

    public TDeployment.Process getProcessDeployInfo(javax.xml.namespace.QName type)

### allFiles

    public java.util.List<java.io.File> allFiles()

### getVersion

    public long getVersion()

### setVersion

    public void setVersion(long version)

### setExtensionValidators

    public void setExtensionValidators(java.util.Map<javax.xml.namespace.QName,ExtensionValidator> extensionValidators)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD